HOSTNAME(1)

NAME
hostname - set or print name of current host system

SYNOPSIS
hostname [-s] [name-of-host]

DESCRIPTION
Hostname prints the name of the current host. The super-user can set the hostname by supplying an argument; this is usually done in the network initialization script /etc/rc.network, normally run at boot time. This script uses the hostname variable in /etc/rc.conf.

Options:

-s  Trim off any domain information from the printed name.

SEE ALSO
gethostname(3), rc.conf(5)

HISTORY
The hostname command appeared in 4.2BSD.